package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Audit Log Notification List
 */
@ApiModel(description = "Audit Log Notification List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class AuditLogNotificationEditOpenApiVo   {
  @JsonProperty("key")
  private String key;

  @JsonProperty("webhook")
  private Boolean webhook;

  public AuditLogNotificationEditOpenApiVo key(String key) {
    this.key = key;
    return this;
  }

  /**
   * For the values of Audit Log Notification Category Key, refer to section 5.2.1 of the Open API Access
   * @return key
  */
  @ApiModelProperty(required = true, value = "For the values of Audit Log Notification Category Key, refer to section 5.2.1 of the Open API Access")
  @NotNull


  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public AuditLogNotificationEditOpenApiVo webhook(Boolean webhook) {
    this.webhook = webhook;
    return this;
  }

  /**
   * Audit Log Notification Category Enable or Disable Webhook
   * @return webhook
  */
  @ApiModelProperty(required = true, value = "Audit Log Notification Category Enable or Disable Webhook")
  @NotNull


  public Boolean getWebhook() {
    return webhook;
  }

  public void setWebhook(Boolean webhook) {
    this.webhook = webhook;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AuditLogNotificationEditOpenApiVo auditLogNotificationEditOpenApiVo = (AuditLogNotificationEditOpenApiVo) o;
    return Objects.equals(this.key, auditLogNotificationEditOpenApiVo.key) &&
        Objects.equals(this.webhook, auditLogNotificationEditOpenApiVo.webhook);
  }

  @Override
  public int hashCode() {
    return Objects.hash(key, webhook);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AuditLogNotificationEditOpenApiVo {\n");
    
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    webhook: ").append(toIndentedString(webhook)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

